Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class CatalogItemView

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.CatalogItemView

All Implemented Interfaces
  View, Serializable

Deprecated

    @Deprecated
    public class CatalogItemView

extends Object
implements View, Serializable

A `CatalogItemView` is a window onto a large `CatalogItem` result set. It has a size (the number of items in the view), a beginning index (the index of the first item in the view), and an ending index (the index of the last item in the view). Additionally, a `CatalogItemView`has an index within the context of a `ViewIterator`.

See Also
  `View`, `ViewIterator`, Serialized Form

Constructor Summary
`CatalogItemView()` Deprecated Default constructor
`CatalogItemView(int size, int firstIndex, int lastIndex, int viewIndex)` Deprecated Creates a new `CatalogItemView` with the given size, first index, last index, and view index.

Method Summary
`int` | `getFirstIndex()` Deprecated Returns the index of the first item in the view.
`int` | `getLastIndex()` Deprecated Returns the index of the last item in the view.
`int` | `getSize()` Deprecated Returns the number of items in the view.
`int` | `getViewIndex()` Deprecated Returns the index of this `View` within its `ViewIterator`.
`String` | `toString()` Deprecated

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CatalogItemView

    public CatalogItemView()

  Deprecated
  Default constructor

### CatalogItemView

    public CatalogItemView(int size,
                           int firstIndex,
                           int lastIndex,
                           int viewIndex)

  Deprecated
  Creates a new `CatalogItemView` with the given size, first index, last index, and view index.

  Parameters
    `size` - The size of the view.
    `firstIndex` - The first index.
    `lastIndex` - The last index.
    `viewIndex` - The index of this `View` within its `ViewIterator`.

Method Detail

### getSize

    public int getSize()

  Deprecated
  Returns the number of items in the view.

  Specified by:
    `getSize` in interface `View`
  Returns
    The number of ites in the view.

### getFirstIndex

    public int getFirstIndex()

  Deprecated
  Returns the index of the first item in the view.

  Specified by:
    `getFirstIndex` in interface `View`
  Returns
    The index of the first item in the view.

### getLastIndex

    public int getLastIndex()

  Deprecated
  Returns the index of the last item in the view.

  Specified by:
    `getLastIndex` in interface `View`
  Returns
    The index of the last item in the view.

### getViewIndex

    public int getViewIndex()

  Deprecated
  Returns the index of this `View` within its `ViewIterator`.

  Specified by:
    `getViewIndex` in interface `View`
  Returns
    The index of this `View` within its `ViewIterator`.

### toString

    public String toString()

  Deprecated
  Overrides:
    `toString` in class `Object`
  Returns
    the string representation of this CatalogItemView.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.